/*
 * @(#)DocGraphics.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */

package jp.co.iti.fagot.doc;

import java.awt.Graphics2D;

import jp.co.iti.fagot.util.ZDebug;
/**
 * svgの描画を管理します。
 *
 * RootElementからの
 * <ul>
 * <li>座標変換(GFTransform)
 * </ul>
 * をスタックし、エレメントを描画します。
 *
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class DocGraphics {

	/**
	 * コンストラクタ
	 * @param g    グラフィックス
	 * @param grid gridコントローラ
	 * @param isCreateGob createGob直後か？
	 */
	public DocGraphics(Graphics2D g,DocGridControler grid, boolean isCreateGob){
	mG    = g    ;
	mGrid = grid ;
	mCreateGob = isCreateGob;
	}

	/**
	 * グラフィックスの取得
	 */
	public Graphics2D getGraphics(){
	return mG ;
	}

	/**
	 * グリッドコントローラの取得
	 */
	public DocGridControler getGridControler(){
	return mGrid;
	}

	/**
	 * CreateGob直後か取得
	 */
	public boolean isCreateGob(){
	return mCreateGob;
	}

	//## アトリビュート################################################
    /**
     * グラフィックス
     */
	protected Graphics2D	mG     = null;

    /**
     * 座標変換
     */
	protected DocGridControler	mGrid = new DocGridControler();

    /**
     * CreateGob直後か？
     * CreateGob直後は必ず描画し、位置情報を保存する
     */
	protected boolean mCreateGob = false;
}
